kabc Library: KABC::VCard21Parser Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::VCard21Parser Class Reference

`#include <vcard21parser.h>`

List of all members.

## Public Member Functions
| VCard21Parser ()
virtual | ~VCard21Parser ()
void | readFromString (KABC::AddressBook *ab, const QString &str)
KABC::Addressee | readFromString (const QString &data)
## Static Public Member Functions
static KABC::Address | readAddressFromQStringList (const QStringList &data, const int type)

## Detailed Description

Deprecated:
  use VCardConverter instead.

Definition at line 142 of file vcard21parser.h.

## Constructor & Destructor Documentation

VCard21Parser::VCard21Parser | ( |  | ) |

| Constructor. Definition at line 194 of file vcard21parser.cpp.

VCard21Parser::~VCard21Parser | ( |  | ) | `[virtual]`

| Destructor. Definition at line 198 of file vcard21parser.cpp.

## Member Function Documentation

void VCard21Parser::readFromString | ( | KABC::AddressBook * | ab,
|  | const QString & | str
| ) |

  | Parses a string in vcard2.1 format and saves the single addressees to the address book. Parameters:
  | ab | The address book.
  | str | The vcard string.
Definition at line 202 of file vcard21parser.cpp.

KABC::Addressee VCard21Parser::readFromString | ( | const QString & | data | ) |

| Parses a string in vcard2.1 format and returns the inherent addressee. Definition at line 208 of file vcard21parser.cpp. References VCard21ParserImpl::_vcdata, QValueList::begin(), QValueList::end(), endl(), VCard21ParserImpl::getValue(), VCard21ParserImpl::getValues(), KABC::Addressee::insertAddress(), KABC::Addressee::insertEmail(), KABC::Addressee::insertPhoneNumber(), QString::isEmpty(), kdDebug(), readAddressFromQStringList(), QString::replace(), KABC::Address::setLabel(), QString::toFloat(), QString::toInt(), and KABC::VCardStringToDate().

KABC::Address VCard21Parser::readAddressFromQStringList | ( | const QStringList & | data,
|  | const int | type
| ) | `[static]`

  | Helper method to store a address. Parameters:
  | data | A string list, that is filled with 'street', 'house number' ...
  | type | The type of the returned address.
Definition at line 370 of file vcard21parser.cpp. References KABC::Address::setCountry(), KABC::Address::setExtended(), KABC::Address::setLocality(), KABC::Address::setPostalCode(), KABC::Address::setPostOfficeBox(), KABC::Address::setRegion(), KABC::Address::setStreet(), and KABC::Address::setType(). Referenced by readFromString().

The documentation for this class was generated from the following files:

- vcard21parser.h
- vcard21parser.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003